Bug 266279 - GraphicsContext::drawNativeImage has redundant imageSize parameter
Summary: GraphicsContext::drawNativeImage has redundant imageSize parameter
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: Safari 16
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kimmo Kinnunen
URL:
Keywords: InRadar
Depends on:
Blocks: 266215
  Show dependency treegraph
 
Reported: 2023-12-12 05:56 PST by Kimmo Kinnunen
Modified: 2023-12-20 02:15 PST (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kimmo Kinnunen 2023-12-12 05:56:41 PST
GraphicsContext::drawNativeImage has redundant imageSize parameter

NativeImage knows its size
The call also has source rect that defines the part which is sourced
Comment 1 Radar WebKit Bug Importer 2023-12-12 05:57:02 PST
<rdar://problem/119551804>
Comment 2 Kimmo Kinnunen 2023-12-12 06:03:14 PST
Pull request: https://github.com/WebKit/WebKit/pull/21677
Comment 3 EWS 2023-12-13 02:12:29 PST
Committed 271976@main (8cc92b722540): <https://commits.webkit.org/271976@main>

Reviewed commits have been landed. Closing PR #21677 and removing active labels.
Comment 4 Tim Horton 2023-12-15 14:58:52 PST
Reopening due to pending revert.
Comment 5 Kimmo Kinnunen 2023-12-19 05:16:26 PST
The reverted patch wasn't hardened enough for bug 266628
Comment 6 Kimmo Kinnunen 2023-12-19 07:12:00 PST
Pull request: https://github.com/WebKit/WebKit/pull/22026
Comment 7 EWS 2023-12-20 02:15:05 PST
Committed 272333@main (f0cddec1574e): <https://commits.webkit.org/272333@main>

Reviewed commits have been landed. Closing PR #22026 and removing active labels.